PRAGMA foreign_keys = OFF;

DROP TABLE IF EXISTS "main"."tb_area";
CREATE TABLE tb_area (areaIdx INTEGER PRIMARY KEY, parentIdx NUMERIC, areaName TEXT);

DROP TABLE IF EXISTS "main"."tb_msg_friend";
CREATE TABLE tb_msg_friend (Idx INTEGER PRIMARY KEY, userIdx NUMERIC, msgIdx NUMERIC, fileType NUMERIC, senderIdx NUMERIC, senderName TEXT, receiverIdx NUMERIC, content TEXT, extra TEXT, msgDate TEXT, localPath TEXT, played NUMERIC, chatType NUMERIC);

DROP TABLE IF EXISTS "main"."tb_msg_group";
CREATE TABLE tb_msg_group (Idx INTEGER PRIMARY KEY, userIdx NUMERIC, msgIdx NUMERIC, fileType NUMERIC, senderIdx NUMERIC, senderName TEXT, groupIdx NUMERIC, content TEXT, extra TEXT, msgDate TEXT, localPath TEXT, played NUMERIC, chatType NUMERIC);

DROP TABLE IF EXISTS "main"."tb_msg_platform";
CREATE TABLE tb_msg_platform (Idx INTEGER PRIMARY KEY, userIdx NUMERIC, msgIdx NUMERIC, fileType NUMERIC, senderIdx NUMERIC, senderName TEXT, content TEXT, extra TEXT, msgDate TEXT, localPath TEXT, played NUMERIC, adminIdx NUMERIC, adminName TEXT, sendType NUMERIC);

DROP TABLE IF EXISTS "main"."tb_msg_platform_news";
CREATE TABLE tb_msg_platform_news (parentIdx NUMERIC, Idx INTEGER PRIMARY KEY, userIdx NUMERIC, newsIdx NUMERIC, subIdx NUMERIC, mainFlag NUMERIC, linkFlag NUMERIC, title TEXT, content BLOB, imagePath TEXT, linkPath TEXT, makeName TEXT, makeDate TEXT);

DROP TABLE IF EXISTS "main"."tb_news";
CREATE TABLE tb_news (pinyin TEXT, Idx INTEGER PRIMARY KEY, userIdx NUMERIC, targetIdx NUMERIC, fileType NUMERIC, msgCount NUMERIC, isGroup NUMERIC, name TEXT, content TEXT, extra TEXT, msgDate TEXT, onTop NUMERIC, chatType NUMERIC);

DROP TABLE IF EXISTS "main"."tb_user";
CREATE TABLE tb_user (userIdx NUMERIC, userName TEXT, userPhone TEXT, userPassword TEXT, userSign TEXT, userToken TEXT, userCode TEXT, noFriendIdx BLOB, userAddress TEXT, security NUMERIC, weixin TEXT, weixinQR TEXT, third_userIdx NUMERIC, third_weixin_openid TEXT, userSex NUMERIC, userState NUMERIC, userImages TEXT, userBirthday NUMERIC, marryState NUMERIC, sendSay TEXT, comefrom TEXT, industryIdx TEXT, industryName TEXT, constellationIdx TEXT, constellationName TEXT, lastLoginTime NUMERIC, loginTime NUMERIC, noGroupIdx TEXT, oldUserIdx NUMERIC, parentIdx NUMERIC, pinyin TEXT, platformIdx NUMERIC, isShowAction NUMERIC, isAddFriend NUMERIC, qrcode TEXT);

DROP TABLE IF EXISTS "main"."tb_user_open_log";
CREATE TABLE tb_user_open_log (userIdx NUMERIC, friendIdx NUMERIC);

CREATE INDEX "main"."idx_area_areaIdx"
ON "tb_area" ("areaIdx" ASC);
CREATE INDEX "main"."idx_area_parentIdx"
ON "tb_area" ("parentIdx" ASC);

CREATE INDEX "main"."idx_friend_msgDate"
ON "tb_msg_friend" ("msgDate" ASC);
CREATE INDEX "main"."idx_friend_msgIdx"
ON "tb_msg_friend" ("msgIdx" ASC);
CREATE INDEX "main"."idx_friend_userIdx"
ON "tb_msg_friend" ("userIdx" ASC);

CREATE INDEX "main"."idx_group_msgDate"
ON "tb_msg_group" ("msgDate" ASC);
CREATE INDEX "main"."idx_group_msgIdx"
ON "tb_msg_group" ("msgIdx" ASC);
CREATE INDEX "main"."idx_group_userIdx"
ON "tb_msg_group" ("userIdx" ASC);

CREATE INDEX "main"."idx_platform_msgDate"
ON "tb_msg_platform" ("msgDate" ASC);
CREATE INDEX "main"."idx_platform_msgIdx"
ON "tb_msg_platform" ("msgIdx" ASC);
CREATE INDEX "main"."idx_platform_userIdx"
ON "tb_msg_platform" ("userIdx" ASC);

CREATE INDEX "main"."idx_platnews_Idx"
ON "tb_msg_platform_news" ("Idx" ASC);
CREATE INDEX "main"."idx_platnews_newsIdx"
ON "tb_msg_platform_news" ("newsIdx" ASC);
CREATE INDEX "main"."idx_platnews_parentIdx"
ON "tb_msg_platform_news" ("parentIdx" ASC);
CREATE INDEX "main"."idx_platnews_userIdx"
ON "tb_msg_platform_news" ("userIdx" ASC);

CREATE INDEX "main"."idx_news_Idx"
ON "tb_news" ("Idx" ASC);
CREATE INDEX "main"."idx_news_isGroup"
ON "tb_news" ("isGroup" ASC);
CREATE INDEX "main"."idx_news_msgDate"
ON "tb_news" ("msgDate" ASC);
CREATE INDEX "main"."idx_news_onTop"
ON "tb_news" ("onTop" ASC);
CREATE INDEX "main"."idx_news_targetIdx"
ON "tb_news" ("targetIdx" ASC);
CREATE INDEX "main"."idx_news_userIdx"
ON "tb_news" ("userIdx" ASC);

CREATE INDEX "main"."idx_user_userIdx"
ON "tb_user" ("userIdx" ASC);

CREATE INDEX "main"."idx_open_log_userIdx"
ON "tb_user_open_log" ("userIdx" ASC);
